Page MenuHomePhabricator

Error during initial mw-vagrant provision: fss.so missing
Closed, ResolvedPublic

Description

I consistently see this error the first time I bring up a new vagrant instance:

==> default: Notice: /Stage[main]/Php::Composer/Exec[update_composer]/returns: [Tue Aug 25 22:45:42 2015] [hphp] [5127:7fef22366d00:0:000001] [7e9141:7ce510:7fef1a2b9ec5:7ca029] Uncaught exception: Could not open extension /usr/lib/x86_64-linux-gnu/hhvm/extensions/current/fss.so: /usr/lib/x86_64-linux-gnu/hhvm/extensions/current/fss.so: cannot open shared object file: No such file or directory
==> default: Error: composer self-update returned 255 instead of one of [0]
==> default: Error: /Stage[main]/Php::Composer/Exec[update_composer]/returns: change from notrun to 0 failed: composer self-update returned 255 instead of one of [0]

Seems to be a dependency issue, hhvm-fss should install before anything tries to use php5, but I couldn't solve the problem with any of the obvious dependency statements.

Event Timeline

awight created this task.Aug 25 2015, 10:51 PM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added a project: MediaWiki-Vagrant.
awight added subscribers: awight, XenoRyet.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2015, 10:51 PM

Change 237759 had a related patch set uploaded (by BryanDavis):
Ensure HHVM is fully provisioned before using as php alternative

https://gerrit.wikimedia.org/r/237759

Change 237759 merged by jenkins-bot:
Ensure HHVM is fully provisioned before using as php alternative

https://gerrit.wikimedia.org/r/237759

bd808 closed this task as Resolved.Dec 5 2015, 12:27 AM
bd808 claimed this task.
Restricted Application added a project: User-bd808. · View Herald TranscriptDec 5 2015, 12:27 AM
bd808 moved this task from To Do to Done on the User-bd808 board.Dec 6 2015, 10:21 PM
bd808 moved this task from Awaiting review to Done on the MediaWiki-Vagrant board.Dec 7 2015, 12:49 AM
bd808 moved this task from Done to Archive on the User-bd808 board.Dec 10 2015, 5:08 PM
awight reopened this task as Open.Mar 17 2016, 5:49 PM

I was just bitten by this on a fresh install, using mw-vagrant commit e897f03.

bd808 added a comment.Mar 17 2016, 5:53 PM

I was just bitten by this on a fresh install, using mw-vagrant commit e897f03.

Blerg! The ordering that was added in https://gerrit.wikimedia.org/r/237759 had to be reversed in https://gerrit.wikimedia.org/r/#/c/276241/ to fix T129343: No hhvm-fss package matching latest hvvm package in WMF apt repo. I'd like to change it back, but that would break anyone who hasn't updated HHVM yet.

bd808 removed bd808 as the assignee of this task.Apr 13 2016, 4:10 PM
bd808 removed projects: User-bd808, Patch-For-Review.
bd808 added a subscriber: bd808.
bd808 closed this task as Resolved.Jan 10 2018, 6:07 AM
bd808 claimed this task.

This will be resolved once again by T181353: [EPIC] Migrate MediaWiki-Vagrant base image to Debian Stretch. PHP7 will be the default PHP and we will not be setting HHVM as the cli PHP even when the role is enabled for serving the wikis.